#!/bin/bash

SERVICES=$(kde4-config --install services)

if [ "$SERVICES" = "" ]; then
	SERVICES=/usr/share/kde4/services
fi

install get_yt_video.py /usr/bin/
mkdir -p "$SERVICES"
cat get_yt_video.desktop | sed 's/^ServiceTypes=.*/Type=Service\nServiceTypes=KonqPopupMenu\/Plugin,text\/html/' > get_yt_video-kde4.desktop
install get_yt_video-kde4.desktop "$SERVICES"/get_yt_video.desktop
rm get_yt_video-kde4.desktop
mkdir -p /usr/share/get_yt_video/
find l10n -mindepth 1 -maxdepth 1 -type d -exec cp -r {} /usr/share/get_yt_video/ \;
