#!/bin/bash

VERSION=$(head -n 1 Changelog | sed 's/version \(.*\):/\1/' | sed 's/-//g')
LANGS=$(find l10n -mindepth 1 -maxdepth 1 -type d -exec basename {} \;)
NAME=youtube-servicemenu-$VERSION

cd ..
ln -s src $NAME
tar --exclude '.*' --exclude '*~' --exclude '*.spec' -f $NAME.tar.bz2 -cvhj $NAME
rm $NAME
